# $Revision: 1.19 $, $Date: 2007/02/13 08:06:38 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Unicode
%define		pnam	Lite
Summary:	Unicode::Lite - easy conversion between encodings
Summary(pl.UTF-8):	Unicode::Lite - łatwa konwersja pomiędzy kodowaniami
Name:		perl-Unicode-Lite
Version:	0.12
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f8fa78a8c113bf8b42cba6e3cb9b8797
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Unicode-Map
BuildRequires:	perl-enum
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unicode::Lite includes string converting function from one and to
another charset.

%description -l pl.UTF-8
Unicode::Lite zawiera funkcje do konwersji ciągów na różne kodowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Unicode-Lite.spec,v $
Revision 1.19  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.17  2004/11/03 22:30:53  paladine
- formatting

Revision 1.16  2004/05/07 01:22:54  ankry
- rel. 5

Revision 1.15  2004/05/06 18:21:27  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/03 23:39:22  ankry
- license fix, cosmetics

Revision 1.13  2004/04/27 15:26:29  ankry
- new bconds

Revision 1.12  2004/04/15 10:01:05  ankry
- cosmetics

Revision 1.11  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:09:25  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:08  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:39  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 22:09:55  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:39:07  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/09 16:23:16  radek
- removed %_bindir/map, conflicting with perl-Unicode-Map; release 3

Revision 1.2  2002/09/09 13:39:30  radek
- pl summary/description; release 2

Revision 1.1  2002/09/04 11:19:33  radek
- new, STBR

